addNamesToReactionSets <-
function(model=NULL, reactSets=NULL, useIDs=TRUE){
	
	if(is.null(model) || is.null(reactSets)) stop("model and reactSets must not be NULL")
	
	
	
	if(useIDs) name <- react_id(model)
		else name <- react_name(model)
		
	return (lapply(reactSets, function(x) { return( name[x]) } ))
}

