testLinearDependence <-
function(a=NULL, b=NULL){

	if(is.null(a) || is.null(b)) return(NULL)
	
	res <- a/b
	#
	#	> cbind(a, b, a/b)
  	#	     a b    
	#	[1,] 1 1   1
	#	[2,] 0 2   0
	#	[3,] 0 3   0
	#	[4,] 0 0 NaN
	#	[5,] 5 0 Inf
	
	#if(any(is.infinite(res))) return(FALSE)
	
	for(i in res){
		if (is.infinite(i)) return(FALSE)
	}
	
	res <- res[!is.nan(res)]
	
	return(  isTRUE(all.equal(res, rep(res[1], length(res))   ) ))

}

