createSparseMatrix <-
function(gvectors=NULL, realSparse=FALSE){

	message("::: creating Sparse Matrix")
	
	message("   ... setting zeros")
	
	zeros <- apply(X=gvectors, MARGIN=c(1,2),
				
					FUN=function(x){
						#if(isTRUE(all.equal(x, 0) ))
						#	return(0)
						#else return(x)
						
						if(abs(x)<1E-10){ return(0)
						} else return(x)
						
					})
	
	if(realSparse){
		message("   ... creating sparse matrix")
		return(Matrix(zeros, sparse=TRUE))
	}
	
	return(zeros)

}

