getLinspace <-
function(gvectors=NULL){
	if(is.null(gvectors)) {stop("gvectors must not be NULL")}
	
	ret <- gvectors[which(gvectors[,1]==1),,drop=FALSE][,-(1:2),drop=FALSE]
	
	if(dim(ret)[1]==0){
		# if there is no linspace in gvectors we return a 0-vector
		return(matrix(0, ncol=dim(ret)[2], nrow=1))
	}
	return(ret)
}

