\name{calcGeneratingVectors}
\alias{calcGeneratingVectors}
\title{
double description algorithm run
}
\description{
This function converts a given H-representation of a steady state flux cone in a V-representation using rcdd.
}
\usage{
calcGeneratingVectors(S = NULL, linrows = NULL, matrixOnly = FALSE)
}
\arguments{
  \item{S}{
  	a matrix containing the constraints, which describe the cone in H-representation
}
  \item{linrows}{
  	define linearity rows in the matrix
}
  \item{matrixOnly}{
  	should only returned the matrix with no possibility to identify rays and linspace?
}
}
\details{
}
\value{
	\item{output}{same output like with scdd}
	\item{myH}{the H-representation, which was used for scdd}
	if matrixOnly==TRUE, then there will be only one matrix be returned
}
\references{
	see \code{\link{sybilFCF}}
}
\author{
Claus Jonathan Fritzemeier \email{clausjonathan.fritzemeier@uni-duesseldorf.de}
}

\examples{
	calcGeneratingVectors(diag(10), c(1, 2))
}
\keyword{ cddlib }
\keyword{ rcdd }
