\name{testLinearDependence}
\alias{testLinearDependence}
\title{
linear dependence test of two vectors
}
\description{
	tests whether two vectors \code{a} and \code{b} are linear dependent or not.
}
\usage{
testLinearDependence(a = NULL, b = NULL)
}
\arguments{
  \item{a}{an integer vector \code{a}
}
  \item{b}{an integer vector \code{b}
}
}
\details{
}
\value{
	returns true if holds: a = k * b with k in |R
}
\references{
}
\author{
Claus Jonathan Fritzemeier \email{clausjonathan.fritzemeier@uni-duesseldorf.de}
}
\note{
	this function divides \code{a} through \code{b}. if the resultvector has the same value in every positon a and b are linear dependent.
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
	testLinearDependence(1:4, 1:4)
	testLinearDependence(1:4, 2:5)
}
\keyword{ linear }
\keyword{ dependence }% __ONLY ONE__ keyword per line
